Exception_notification error: custom_require.rb:31:in `gem_original_re quire': no such file to load

I am trying to use exception_notification but I get this error:

$ script/server
=> Booting Mongrel
=> Rails 2.3.4 application starting on http://0.0.0.0:3000
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
gem_original_re quire': no such file to load -- action_dispatch (MissingSourceFile) from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb: 31:inre
quire’
from c:/dev/apps/vendor/rails/activesupport/lib/active_support/
dependenc
ies.rb:156:in require' from c:/dev/apps/vendor/rails/activesupport/lib/active_support/ dependenc ies.rb:521:innew_constants_in’
from c:/dev/apps/vendor/rails/activesupport/lib/active_support/
dependenc
ies.rb:156:in require' from c:/dev/apps/vendor/plugins/exception_notification/lib/ exception_not ifier.rb:1 from c:/dev/apps/vendor/rails/activesupport/lib/active_support/ dependenc ies.rb:380:inload_without_new_constant_marking’
from c:/dev/apps/vendor/rails/activesupport/lib/active_support/
dependenc
ies.rb:380:in load_file' from c:/dev/apps/vendor/rails/activesupport/lib/active_support/ dependenc ies.rb:521:innew_constants_in’
… 11 levels…
from c:/dev/apps/vendor/rails/railties/lib/commands/server.rb:
84
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:
31:in ge m_original_require' from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb: 31:inre
quire’
from script/server:3

I followed this tutorial and the tutorial on github:
https://wikihub.berkeley.edu/display/istas/Rails+Deployment+-+Exception+Notification+and+Monitoring

That repo has been updated for Rails 3, so it’s going to fail badly on
older versions. You’ll probably want to grab only up to this commit:

http://github.com/rails/exception_notification/commit/e8b603e523c14f145da7b3a1729f5cc06eba2dd1

Or you may want to look into another exception notifier, like Hoptoad.

–Matt J.